-------------------------------------------------------------------------------
-- iic_plb_1_chipscope_plbv46_iba_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library chipscope_plbv46_iba_0_v1_03_a;
use chipscope_plbv46_iba_0_v1_03_a.all;

entity iic_plb_1_chipscope_plbv46_iba_0_wrapper is
  port (
    chipscope_icon_control : in std_logic_vector(35 downto 0);
    iba_trig_out : out std_logic;
    PLB_Clk : in std_logic;
    iba_trig_in : in std_logic_vector(0 to 0);
    PLB_Rst : in std_logic;
    Bus_Error_Det : in std_logic;
    PLB_lockErr : in std_logic;
    PLB_MRdErr : in std_logic_vector(0 to 1);
    PLB_MWrErr : in std_logic_vector(0 to 1);
    PLB_MIRQ : in std_logic_vector(0 to 1);
    PLB_MTimeout : in std_logic_vector(0 to 1);
    PLB_PAValid : in std_logic;
    PLB_SAValid : in std_logic;
    PLB_busLock : in std_logic;
    PLB_abort : in std_logic;
    PLB_Swait : in std_logic;
    PLB_SaddrAck : in std_logic;
    PLB_Srearbitrate : in std_logic;
    PLB_RNW : in std_logic;
    PLB_SwrDAck : in std_logic;
    PLB_SwrComp : in std_logic;
    PLB_SwrBTerm : in std_logic;
    PLB_wrBurst : in std_logic;
    PLB_SrdDAck : in std_logic;
    PLB_SrdComp : in std_logic;
    PLB_SrdBTerm : in std_logic;
    PLB_rdBurst : in std_logic;
    PLB_size : in std_logic_vector(0 to 3);
    PLB_type : in std_logic_vector(0 to 2);
    PLB_MSize : in std_logic_vector(0 to 1);
    PLB_masterID : in std_logic_vector(0 to 0);
    PLB_BE : in std_logic_vector(0 to 3);
    PLB_TAttribute : in std_logic_vector(0 to 15);
    PLB_ABus : in std_logic_vector(0 to 31);
    PLB_UABus : in std_logic_vector(0 to 31);
    PLB_wrDBus : in std_logic_vector(0 to 31);
    PLB_SrdDBus : in std_logic_vector(0 to 31);
    PLB_rdPrim : in std_logic_vector(0 to 2);
    PLB_wrPrim : in std_logic_vector(0 to 2);
    Sl_AddrAck : in std_logic_vector(0 to 2);
    Sl_Rearbitrate : in std_logic_vector(0 to 2);
    Sl_wait : in std_logic_vector(0 to 2);
    Sl_rdBTerm : in std_logic_vector(0 to 2);
    Sl_rdComp : in std_logic_vector(0 to 2);
    Sl_rdDAck : in std_logic_vector(0 to 2);
    Sl_wrBTerm : in std_logic_vector(0 to 2);
    Sl_wrComp : in std_logic_vector(0 to 2);
    Sl_wrDAck : in std_logic_vector(0 to 2);
    Sl_rdWdAddr : in std_logic_vector(0 to 11);
    Sl_SSize : in std_logic_vector(0 to 5);
    Sl_MBusy : in std_logic_vector(0 to 5);
    Sl_MRdErr : in std_logic_vector(0 to 5);
    Sl_MWrErr : in std_logic_vector(0 to 5);
    M_request : in std_logic_vector(0 to 1);
    M_priority : in std_logic_vector(0 to 3);
    M_busLock : in std_logic_vector(0 to 1);
    M_abort : in std_logic_vector(0 to 1);
    PLB_reqPri : in std_logic_vector(0 to 1);
    M_lockErr : in std_logic_vector(0 to 1);
    M_rdBurst : in std_logic_vector(0 to 1);
    M_wrBurst : in std_logic_vector(0 to 1);
    M_RNW : in std_logic_vector(0 to 1);
    PLB_MBusy : in std_logic_vector(0 to 1);
    PLB_MAddrAck : in std_logic_vector(0 to 1);
    PLB_MRdBTerm : in std_logic_vector(0 to 1);
    PLB_MRdDAck : in std_logic_vector(0 to 1);
    PLB_MRearbitrate : in std_logic_vector(0 to 1);
    PLB_MWrBTerm : in std_logic_vector(0 to 1);
    PLB_MWrDAck : in std_logic_vector(0 to 1);
    M_mSize : in std_logic_vector(0 to 3);
    M_size : in std_logic_vector(0 to 7);
    PLB_MSSize : in std_logic_vector(0 to 3);
    M_type : in std_logic_vector(0 to 5);
    M_BE : in std_logic_vector(0 to 7)
  );

  attribute x_core_info : STRING;
  attribute x_core_info of iic_plb_1_chipscope_plbv46_iba_0_wrapper : entity is "chipscope_plbv46_iba_v1_03_a";

end iic_plb_1_chipscope_plbv46_iba_0_wrapper;

architecture STRUCTURE of iic_plb_1_chipscope_plbv46_iba_0_wrapper is

  component chipscope_plbv46_iba is
    generic (
      C_FAMILY : string;
      C_DEVICE : string;
      C_PACKAGE : string;
      C_SPEEDGRADE : string;
      C_PLBV46_NUM_MASTERS : integer;
      C_PLBV46_NUM_SLAVES : integer;
      C_PLBV46_MID_WIDTH : integer;
      C_PLBV46_AWIDTH : integer;
      C_PLBV46_DWIDTH : integer;
      C_NUM_DATA_SAMPLES : integer;
      C_MAX_SEQUENCER_LEVELS : integer;
      C_ENABLE_STORAGE_QUALIFICATION : integer;
      C_ENABLE_TRIGGER_OUT : integer;
      C_USE_MU_1A_RST_ERR_STAT : integer;
      C_USE_MU_1B_MSTR_RST_ERR_STAT : integer;
      C_USE_MU_1C_TRIG_IN : integer;
      C_MU_1_TRIG_IN_WIDTH : integer;
      C_MU_1_TYPE_TRIG_RST_ERR_STAT : string;
      C_MU_1_CNT_W_TRIG_RST_ERR_STAT : integer;
      C_MU_1_EN_STORE_TRIG_RST_ERR_STAT : integer;
      C_USE_MU_2A_STD_CTL : integer;
      C_USE_MU_2B_SIZE_BE : integer;
      C_USE_MU_2C_TATTR : integer;
      C_MU_2_NUM_GRP_CTL : integer;
      C_MU_2_TYPE_GRP_CTL : string;
      C_MU_2_CNT_W_GRP_CTL : integer;
      C_MU_2_EN_STORE_GRP_CTL : integer;
      C_USE_MU_3A_ABUS : integer;
      C_USE_MU_3B_UABUS : integer;
      C_MU_3_TYPE_ADDR : string;
      C_MU_3_CNT_W_ADDR : integer;
      C_MU_3_EN_STORE_ADDR : integer;
      C_USE_MU_4_WR_DBUS : integer;
      C_MU_4_TYPE_WR_DBUS : string;
      C_MU_4_CNT_W_WR_DBUS : integer;
      C_MU_4_EN_STORE_WR_DBUS : integer;
      C_USE_MU_5_RD_DBUS : integer;
      C_MU_5_TYPE_RD_DBUS : string;
      C_MU_5_CNT_W_RD_DBUS : integer;
      C_MU_5_EN_STORE_RD_DBUS : integer;
      C_USE_MU_6A_SLV_CTL : integer;
      C_USE_MU_6B_SLV_SZ_WADDR : integer;
      C_MU_6_NUM_SLV_CTL_BUS : integer;
      C_MU_6_TYPE_SLV_CTL_BUS : string;
      C_MU_6_CNT_W_SLV_CTL_BUS : integer;
      C_MU_6_EN_STORE_SLV_CTL_BUS : integer;
      C_USE_MU_7_SLV_BSY : integer;
      C_MU_7_TYPE_SLV_BSY : string;
      C_MU_7_CNT_W_SLV_BSY : integer;
      C_MU_7_EN_STORE_SLV_BSY : integer;
      C_USE_MU_8_SLV_RD_ERR : integer;
      C_MU_8_TYPE_SLV_RD_ERR : string;
      C_MU_8_CNT_W_SLV_RD_ERR : integer;
      C_MU_8_EN_STORE_SLV_RD_ERR : integer;
      C_USE_MU_9_SLV_WR_ERR : integer;
      C_MU_9_TYPE_SLV_WR_ERR : string;
      C_MU_9_CNT_W_SLV_WR_ERR : integer;
      C_MU_9_EN_STORE_SLV_WR_ERR : integer;
      C_USE_MU_10_ARB_CTL : integer;
      C_MU_10_TYPE_ARB_CTL : string;
      C_MU_10_CNT_W_ARB_CTL : integer;
      C_MU_10_EN_STORE_ARB_CTL : integer;
      C_USE_MU_11_MSTR_CTL : integer;
      C_MU_11_NUM_MSTR_CTL : integer;
      C_MU_11_TYPE_MSTR_CTL : string;
      C_MU_11_CNT_W_MSTR_CTL : integer;
      C_MU_11_EN_STORE_MSTR_CTL : integer;
      C_USE_MU_12_MSTR_SZ : integer;
      C_MU_12_TYPE_MSTR_SZ : string;
      C_MU_12_CNT_W_MSTR_SZ : integer;
      C_MU_12_EN_STORE_MSTR_SZ : integer;
      C_USE_MU_13_MSTR_BE : integer;
      C_MU_13_TYPE_MSTR_BE : string;
      C_MU_13_CNT_W_MSTR_BE : integer;
      C_MU_13_EN_STORE_MSTR_BE : integer
    );
    port (
      chipscope_icon_control : in std_logic_vector(35 downto 0);
      iba_trig_out : out std_logic;
      PLB_Clk : in std_logic;
      iba_trig_in : in std_logic_vector(0 to (C_MU_1_TRIG_IN_WIDTH)-1);
      PLB_Rst : in std_logic;
      Bus_Error_Det : in std_logic;
      PLB_lockErr : in std_logic;
      PLB_MRdErr : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MWrErr : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MIRQ : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MTimeout : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_PAValid : in std_logic;
      PLB_SAValid : in std_logic;
      PLB_busLock : in std_logic;
      PLB_abort : in std_logic;
      PLB_Swait : in std_logic;
      PLB_SaddrAck : in std_logic;
      PLB_Srearbitrate : in std_logic;
      PLB_RNW : in std_logic;
      PLB_SwrDAck : in std_logic;
      PLB_SwrComp : in std_logic;
      PLB_SwrBTerm : in std_logic;
      PLB_wrBurst : in std_logic;
      PLB_SrdDAck : in std_logic;
      PLB_SrdComp : in std_logic;
      PLB_SrdBTerm : in std_logic;
      PLB_rdBurst : in std_logic;
      PLB_size : in std_logic_vector(0 to 4-1);
      PLB_type : in std_logic_vector(0 to 3-1);
      PLB_MSize : in std_logic_vector(0 to 2-1);
      PLB_masterID : in std_logic_vector(0 to (C_PLBV46_MID_WIDTH)-1);
      PLB_BE : in std_logic_vector(0 to ((C_PLBV46_DWIDTH)/8)-1);
      PLB_TAttribute : in std_logic_vector(0 to 16-1);
      PLB_ABus : in std_logic_vector(0 to 32-1);
      PLB_UABus : in std_logic_vector(0 to 32-1);
      PLB_wrDBus : in std_logic_vector(0 to (C_PLBV46_DWIDTH)-1);
      PLB_SrdDBus : in std_logic_vector(0 to (C_PLBV46_DWIDTH)-1);
      PLB_rdPrim : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      PLB_wrPrim : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_AddrAck : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_Rearbitrate : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_wait : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_rdBTerm : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_rdComp : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_rdDAck : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_wrBTerm : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_wrComp : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_wrDAck : in std_logic_vector(0 to (C_PLBV46_NUM_SLAVES)-1);
      Sl_rdWdAddr : in std_logic_vector(0 to ((C_PLBV46_NUM_SLAVES)*4)-1);
      Sl_SSize : in std_logic_vector(0 to ((C_PLBV46_NUM_SLAVES)*2)-1);
      Sl_MBusy : in std_logic_vector(0 to ((C_PLBV46_NUM_SLAVES)*(C_PLBV46_NUM_MASTERS))-1);
      Sl_MRdErr : in std_logic_vector(0 to ((C_PLBV46_NUM_SLAVES)*(C_PLBV46_NUM_MASTERS))-1);
      Sl_MWrErr : in std_logic_vector(0 to ((C_PLBV46_NUM_SLAVES)*(C_PLBV46_NUM_MASTERS))-1);
      M_request : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      M_priority : in std_logic_vector(0 to ((C_PLBV46_NUM_MASTERS)*2)-1);
      M_busLock : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      M_abort : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_reqPri : in std_logic_vector(0 to 2-1);
      M_lockErr : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      M_rdBurst : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      M_wrBurst : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      M_RNW : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MBusy : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MAddrAck : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MRdBTerm : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MRdDAck : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MRearbitrate : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MWrBTerm : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      PLB_MWrDAck : in std_logic_vector(0 to (C_PLBV46_NUM_MASTERS)-1);
      M_mSize : in std_logic_vector(0 to ((C_PLBV46_NUM_MASTERS)*2)-1);
      M_size : in std_logic_vector(0 to ((C_PLBV46_NUM_MASTERS)*4)-1);
      PLB_MSSize : in std_logic_vector(0 to ((C_PLBV46_NUM_MASTERS)*2)-1);
      M_type : in std_logic_vector(0 to ((C_PLBV46_NUM_MASTERS)*3)-1);
      M_BE : in std_logic_vector(0 to ((C_PLBV46_NUM_MASTERS)*(C_PLBV46_DWIDTH)/8)-1)
    );
  end component;

begin

  chipscope_plbv46_iba_0 : chipscope_plbv46_iba
    generic map (
      C_FAMILY => "spartan6",
      C_DEVICE => "6slx9",
      C_PACKAGE => "tqg144",
      C_SPEEDGRADE => "-2",
      C_PLBV46_NUM_MASTERS => 2,
      C_PLBV46_NUM_SLAVES => 3,
      C_PLBV46_MID_WIDTH => 1,
      C_PLBV46_AWIDTH => 32,
      C_PLBV46_DWIDTH => 32,
      C_NUM_DATA_SAMPLES => 1024,
      C_MAX_SEQUENCER_LEVELS => 2,
      C_ENABLE_STORAGE_QUALIFICATION => 1,
      C_ENABLE_TRIGGER_OUT => 0,
      C_USE_MU_1A_RST_ERR_STAT => 1,
      C_USE_MU_1B_MSTR_RST_ERR_STAT => 0,
      C_USE_MU_1C_TRIG_IN => 0,
      C_MU_1_TRIG_IN_WIDTH => 1,
      C_MU_1_TYPE_TRIG_RST_ERR_STAT => "basic with edges",
      C_MU_1_CNT_W_TRIG_RST_ERR_STAT => 0,
      C_MU_1_EN_STORE_TRIG_RST_ERR_STAT => 1,
      C_USE_MU_2A_STD_CTL => 1,
      C_USE_MU_2B_SIZE_BE => 0,
      C_USE_MU_2C_TATTR => 0,
      C_MU_2_NUM_GRP_CTL => 1,
      C_MU_2_TYPE_GRP_CTL => "basic with edges",
      C_MU_2_CNT_W_GRP_CTL => 0,
      C_MU_2_EN_STORE_GRP_CTL => 1,
      C_USE_MU_3A_ABUS => 1,
      C_USE_MU_3B_UABUS => 0,
      C_MU_3_TYPE_ADDR => "range with edges",
      C_MU_3_CNT_W_ADDR => 0,
      C_MU_3_EN_STORE_ADDR => 1,
      C_USE_MU_4_WR_DBUS => 0,
      C_MU_4_TYPE_WR_DBUS => "extended with edges",
      C_MU_4_CNT_W_WR_DBUS => 0,
      C_MU_4_EN_STORE_WR_DBUS => 1,
      C_USE_MU_5_RD_DBUS => 0,
      C_MU_5_TYPE_RD_DBUS => "extended with edges",
      C_MU_5_CNT_W_RD_DBUS => 0,
      C_MU_5_EN_STORE_RD_DBUS => 1,
      C_USE_MU_6A_SLV_CTL => 0,
      C_USE_MU_6B_SLV_SZ_WADDR => 0,
      C_MU_6_NUM_SLV_CTL_BUS => 1,
      C_MU_6_TYPE_SLV_CTL_BUS => "basic with edges",
      C_MU_6_CNT_W_SLV_CTL_BUS => 0,
      C_MU_6_EN_STORE_SLV_CTL_BUS => 1,
      C_USE_MU_7_SLV_BSY => 0,
      C_MU_7_TYPE_SLV_BSY => "basic with edges",
      C_MU_7_CNT_W_SLV_BSY => 0,
      C_MU_7_EN_STORE_SLV_BSY => 1,
      C_USE_MU_8_SLV_RD_ERR => 0,
      C_MU_8_TYPE_SLV_RD_ERR => "basic with edges",
      C_MU_8_CNT_W_SLV_RD_ERR => 0,
      C_MU_8_EN_STORE_SLV_RD_ERR => 1,
      C_USE_MU_9_SLV_WR_ERR => 0,
      C_MU_9_TYPE_SLV_WR_ERR => "basic with edges",
      C_MU_9_CNT_W_SLV_WR_ERR => 0,
      C_MU_9_EN_STORE_SLV_WR_ERR => 1,
      C_USE_MU_10_ARB_CTL => 0,
      C_MU_10_TYPE_ARB_CTL => "basic with edges",
      C_MU_10_CNT_W_ARB_CTL => 0,
      C_MU_10_EN_STORE_ARB_CTL => 1,
      C_USE_MU_11_MSTR_CTL => 0,
      C_MU_11_NUM_MSTR_CTL => 1,
      C_MU_11_TYPE_MSTR_CTL => "basic with edges",
      C_MU_11_CNT_W_MSTR_CTL => 0,
      C_MU_11_EN_STORE_MSTR_CTL => 1,
      C_USE_MU_12_MSTR_SZ => 0,
      C_MU_12_TYPE_MSTR_SZ => "basic with edges",
      C_MU_12_CNT_W_MSTR_SZ => 0,
      C_MU_12_EN_STORE_MSTR_SZ => 1,
      C_USE_MU_13_MSTR_BE => 0,
      C_MU_13_TYPE_MSTR_BE => "basic with edges",
      C_MU_13_CNT_W_MSTR_BE => 0,
      C_MU_13_EN_STORE_MSTR_BE => 1
    )
    port map (
      chipscope_icon_control => chipscope_icon_control,
      iba_trig_out => iba_trig_out,
      PLB_Clk => PLB_Clk,
      iba_trig_in => iba_trig_in,
      PLB_Rst => PLB_Rst,
      Bus_Error_Det => Bus_Error_Det,
      PLB_lockErr => PLB_lockErr,
      PLB_MRdErr => PLB_MRdErr,
      PLB_MWrErr => PLB_MWrErr,
      PLB_MIRQ => PLB_MIRQ,
      PLB_MTimeout => PLB_MTimeout,
      PLB_PAValid => PLB_PAValid,
      PLB_SAValid => PLB_SAValid,
      PLB_busLock => PLB_busLock,
      PLB_abort => PLB_abort,
      PLB_Swait => PLB_Swait,
      PLB_SaddrAck => PLB_SaddrAck,
      PLB_Srearbitrate => PLB_Srearbitrate,
      PLB_RNW => PLB_RNW,
      PLB_SwrDAck => PLB_SwrDAck,
      PLB_SwrComp => PLB_SwrComp,
      PLB_SwrBTerm => PLB_SwrBTerm,
      PLB_wrBurst => PLB_wrBurst,
      PLB_SrdDAck => PLB_SrdDAck,
      PLB_SrdComp => PLB_SrdComp,
      PLB_SrdBTerm => PLB_SrdBTerm,
      PLB_rdBurst => PLB_rdBurst,
      PLB_size => PLB_size,
      PLB_type => PLB_type,
      PLB_MSize => PLB_MSize,
      PLB_masterID => PLB_masterID,
      PLB_BE => PLB_BE,
      PLB_TAttribute => PLB_TAttribute,
      PLB_ABus => PLB_ABus,
      PLB_UABus => PLB_UABus,
      PLB_wrDBus => PLB_wrDBus,
      PLB_SrdDBus => PLB_SrdDBus,
      PLB_rdPrim => PLB_rdPrim,
      PLB_wrPrim => PLB_wrPrim,
      Sl_AddrAck => Sl_AddrAck,
      Sl_Rearbitrate => Sl_Rearbitrate,
      Sl_wait => Sl_wait,
      Sl_rdBTerm => Sl_rdBTerm,
      Sl_rdComp => Sl_rdComp,
      Sl_rdDAck => Sl_rdDAck,
      Sl_wrBTerm => Sl_wrBTerm,
      Sl_wrComp => Sl_wrComp,
      Sl_wrDAck => Sl_wrDAck,
      Sl_rdWdAddr => Sl_rdWdAddr,
      Sl_SSize => Sl_SSize,
      Sl_MBusy => Sl_MBusy,
      Sl_MRdErr => Sl_MRdErr,
      Sl_MWrErr => Sl_MWrErr,
      M_request => M_request,
      M_priority => M_priority,
      M_busLock => M_busLock,
      M_abort => M_abort,
      PLB_reqPri => PLB_reqPri,
      M_lockErr => M_lockErr,
      M_rdBurst => M_rdBurst,
      M_wrBurst => M_wrBurst,
      M_RNW => M_RNW,
      PLB_MBusy => PLB_MBusy,
      PLB_MAddrAck => PLB_MAddrAck,
      PLB_MRdBTerm => PLB_MRdBTerm,
      PLB_MRdDAck => PLB_MRdDAck,
      PLB_MRearbitrate => PLB_MRearbitrate,
      PLB_MWrBTerm => PLB_MWrBTerm,
      PLB_MWrDAck => PLB_MWrDAck,
      M_mSize => M_mSize,
      M_size => M_size,
      PLB_MSSize => PLB_MSSize,
      M_type => M_type,
      M_BE => M_BE
    );

end architecture STRUCTURE;

